libzypp: zyppng::ProgressObserverPrivate Class Reference

libzypp 17.38.11

zyppng::ProgressObserverPrivate Class Reference
Inheritance diagram for zyppng::ProgressObserverPrivate:

## Classes
struct | ChildInfo

## Public Member Functions
| ProgressObserverPrivate (ProgressObserver &p)
void | updateProgress ()
void | setLabel (const std::string &label)
void | onChildStarted (ProgressObserver &)
void | updateCounters ()
void | onChildFinished (ProgressObserver &child, ProgressObserver::FinishResult)
Public Member Functions inherited from zyppng::BasePrivate
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()

## Public Attributes
ProgressObserverWeakRef | _parent
std::string | _label
double | _counterValue = 0
double | _counterSteps = 0
double | _finishedValue = 0
double | _finishedSteps = 0
int | _baseValue = 0
int | _baseSteps = 100
bool | _started = false
bool | _ignoreChildSigs = false
std::vector< ProgressObserverRef > | _children
std::vector< ChildInfo > | _childInfo
Signal< void(ProgressObserver &sender) > | _sigStarted
Signal< void(ProgressObserver &sender, const std::string &str)> | _sigLabelChanged
Signal< void(ProgressObserver &sender, double steps) > | _sigStepsChanged
Signal< void(ProgressObserver &sender, double steps) > | _sigValueChanged
Signal< void(ProgressObserver &sender, double steps) > | _sigProgressChanged
Signal< void(ProgressObserver &sender, ProgressObserver::FinishResult)> | _sigFinished
Signal< void(ProgressObserver &sender, ProgressObserverRef child)> | _sigNewSubprogress
Public Attributes inherited from zyppng::BasePrivate
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
std::unordered_map< uint32_t, zypp::AutoDispose< void * > > | _data
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Definition at line 8 of file progressobserver.cc.

## Constructor & Destructor Documentation

## ◆ ProgressObserverPrivate()

zyppng::ProgressObserverPrivate::ProgressObserverPrivate | ( | ProgressObserver & | p | ) |
| inline

Definition at line 12 of file progressobserver.cc.

## Member Function Documentation

## ◆ updateProgress()

void zyppng::ProgressObserverPrivate::updateProgress | ( |  | ) |

## ◆ setLabel()

void zyppng::ProgressObserverPrivate::setLabel | ( | const std::string & | label | ) |

Definition at line 144 of file progressobserver.cc.

## ◆ onChildStarted()

void zyppng::ProgressObserverPrivate::onChildStarted | ( | ProgressObserver & |  | ) |

Definition at line 84 of file progressobserver.cc.

## ◆ updateCounters()

void zyppng::ProgressObserverPrivate::updateCounters | ( |  | ) |

Definition at line 89 of file progressobserver.cc.

## ◆ onChildFinished()

void zyppng::ProgressObserverPrivate::onChildFinished | ( | ProgressObserver & | child,
|  | ProgressObserver::FinishResult | )

Definition at line 122 of file progressobserver.cc.

## Member Data Documentation

## ◆ _parent

ProgressObserverWeakRef zyppng::ProgressObserverPrivate::_parent

Definition at line 19 of file progressobserver.cc.

## ◆ _label

std::string zyppng::ProgressObserverPrivate::_label

Definition at line 20 of file progressobserver.cc.

## ◆ _counterValue

double zyppng::ProgressObserverPrivate::_counterValue = 0

Definition at line 23 of file progressobserver.cc.

## ◆ _counterSteps

double zyppng::ProgressObserverPrivate::_counterSteps = 0

Definition at line 26 of file progressobserver.cc.

## ◆ _finishedValue

double zyppng::ProgressObserverPrivate::_finishedValue = 0

Definition at line 29 of file progressobserver.cc.

## ◆ _finishedSteps

double zyppng::ProgressObserverPrivate::_finishedSteps = 0

Definition at line 32 of file progressobserver.cc.

## ◆ _baseValue

int zyppng::ProgressObserverPrivate::_baseValue = 0

Definition at line 34 of file progressobserver.cc.

## ◆ _baseSteps

int zyppng::ProgressObserverPrivate::_baseSteps = 100

Definition at line 35 of file progressobserver.cc.

## ◆ _started

bool zyppng::ProgressObserverPrivate::_started = false

Definition at line 37 of file progressobserver.cc.

## ◆ _ignoreChildSigs

bool zyppng::ProgressObserverPrivate::_ignoreChildSigs = false

Definition at line 38 of file progressobserver.cc.

## ◆ _children

std::vector<ProgressObserverRef> zyppng::ProgressObserverPrivate::_children

Definition at line 66 of file progressobserver.cc.

## ◆ _childInfo

std::vector< ChildInfo > zyppng::ProgressObserverPrivate::_childInfo

Definition at line 67 of file progressobserver.cc.

## ◆ _sigStarted

Signal<void ( ProgressObserver &sender) > zyppng::ProgressObserverPrivate::_sigStarted

Definition at line 73 of file progressobserver.cc.

## ◆ _sigLabelChanged

Signal<void ( ProgressObserver &sender, const std::string &str )> zyppng::ProgressObserverPrivate::_sigLabelChanged

Definition at line 74 of file progressobserver.cc.

## ◆ _sigStepsChanged

Signal<void ( ProgressObserver &sender, double steps ) > zyppng::ProgressObserverPrivate::_sigStepsChanged

Definition at line 75 of file progressobserver.cc.

## ◆ _sigValueChanged

Signal<void ( ProgressObserver &sender, double steps ) > zyppng::ProgressObserverPrivate::_sigValueChanged

Definition at line 76 of file progressobserver.cc.

## ◆ _sigProgressChanged

Signal<void ( ProgressObserver &sender, double steps ) > zyppng::ProgressObserverPrivate::_sigProgressChanged

Definition at line 77 of file progressobserver.cc.

## ◆ _sigFinished

Signal<void ( ProgressObserver &sender, ProgressObserver::FinishResult )> zyppng::ProgressObserverPrivate::_sigFinished

Definition at line 78 of file progressobserver.cc.

## ◆ _sigNewSubprogress

Signal<void ( ProgressObserver &sender, ProgressObserverRef child )> zyppng::ProgressObserverPrivate::_sigNewSubprogress

Definition at line 79 of file progressobserver.cc.

The documentation for this class was generated from the following file:

- zypp-core/ng/ui/progressobserver.cc